# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test61
# FileName:      read_basic_ini.py
# Author:       dengyuan
# Datetime:     2024/7/13 16:45
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# ---------------------------------------------------------------------------
import configparser
import json
import os

print(__file__)
print(os.path.dirname(__file__))
print(os.path.join(os.path.dirname(os.path.dirname(__file__)),'data_config'))
print(os.path.join(os.path.join(os.path.dirname(os.path.dirname(__file__)),'data_config'),'config.ini'))

class ReadBasicIni:
    def __init__(self, filename='basic_config.ini'):
        # 获取data_config路径
        self.data_config_path = os.path.join(os.path.dirname(os.path.dirname(__file__)),'data_config')
        # 获取config.ini路径
        ini_path = os.path.join(self.data_config_path,filename)
        # 创建ConfigParser对象
        self.conf = configparser.ConfigParser()
        # 调用read方法读取ini文件
        res = self.conf.read(ini_path, encoding='utf-8')

    def get_url(self,key):
        try:
            return self.conf.get('host',key)
        except Exception as e:
            raise e

    def connect_database_msg(self,key):
        try:
            return self.conf.get('sql',key)
        except Exception as e:
            raise e
