# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test61
# FileName:      request_method.py
# Author:       dengyuan
# Datetime:     2024/7/9 14:37
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# ---------------------------------------------------------------------------
import requests

from study_requests.APIAutoTest_v3_1.common.read_basic_ini import ReadBasicIni
from study_requests.APIAutoTest_v3_1.common.read_ini import ReadIni


class RequestMethod:
    def __init__(self):
        login_data = {"username": "admin","password": "YgWteKl9viwIOjDwzNOywX269e3Rx8tHt86aIqSGia5jkZtj9kFfst2XOqudpNW/CpRn9HDRshzW0jIimdnyuqHFJy/D2Xzp/T36bfUGBzY5SlI9dmBfg3IStm/AUaDioCAnv37P4hBVjAwx0eAu7IDcJlfcnfGb0O76i9mc9Xw="}
        login_url = ReadBasicIni().get_url("test_host")+"/auth"
        self.bpm_session = requests.sessions.Session()
        token = self.bpm_session.request("post", login_url, json=login_data).json()["token"]
        self.bpm_session.headers["Authorization"]= "Bearer "+token

    def request_all(self,req_method,req_url,req_mime,case_data):
        if req_mime == "application/json" or req_mime == "json":
            return self.bpm_session.request(req_method, req_url, json=case_data)
        elif req_mime == "application/x-www-form-urlencoded" or req_mime == "form":
            return self.bpm_session.request(req_method, req_url, data=case_data)
        elif req_mime == "multipart/form-data" or req_mime == "form-data":
            return self.bpm_session.request(req_method, req_url, files=case_data)
        elif req_mime == "query" or req_mime == "params":
            return self.bpm_session.request(req_method, req_url, params=case_data)
        elif req_mime is None:
            return self.bpm_session.request(req_method, req_url)
        elif req_mime == "query|json" or req_mime == "json|query":
            # 注意：请求体中传参的关键字data,files,json可以同时和params结合使用，但是data,files,json每次之后使用一个参数
            return self.bpm_session.request(method=req_method, url=req_url, params=case_data["query"], json=case_data["body"])
        else:
            raise ValueError("媒体类型的值错误，请自行封装")


if __name__ == '__main__':
    datas = ['GET', 'http://36.139.193.99:8088/refresh', None, None, {'message': '刷新成功'}]
    req = RequestMethod()
    print(req.request_all(req_method=datas[0], req_url=datas[1], req_mime=datas[2], case_data=datas[3]).text)